AplasAplas API Reference

List all indexes

GET
/index

Authorization

BearerAuth
AuthorizationBearer <token>

API authentication via Authorization: Bearer <your-api-key>. Obtain your API key from Config → API in the Aplas web app.

In: header

Query Parameters

fields?string

Comma-separated list of additional fields to return. Use 'fields=*' to return all available fields. See the resource schema for fields you can request.

Response Body

*/*

*/*

curl -X GET "https://api.au.aplas.com/api/v2/index?fields=description"
[
  {
    "id": "id",
    "name": "Index A",
    "description": "More information",
    "fieldDefinitions": [
      {
        "scope": "Application",
        "taggedBy": [
          "finance"
        ],
        "name": "Health",
        "id": "health",
        "description": "The ratings for health",
        "type": "Rating",
        "subType": "Color",
        "required": false,
        "isArray": true,
        "isArrayOrdered": true,
        "isArrayLabeled": true,
        "options": [
          "unhealthy:#EE724E",
          "normal:#EEC24E",
          "healthy:#4EEE94"
        ]
      },
      {
        "scope": "Integration",
        "name": "Target Location",
        "id": "target-location",
        "description": "location where payload is sent",
        "type": "String",
        "required": false,
        "isArray": false
      }
    ]
  }
]
{
  "code": 500,
  "message": "Internal server error"
}